EDIT - bug #5870

NPE when trying to open a synonym (or taxon) that has been deleted
06/08/2016 11:17 AM - Andreas Mller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 1:00 hour
Target version: Release 4.4

Severity: normal Found in Version:

Description

How to create:
e Search for a synonym that exists
¢ Go to the NameEditor or BulkEditor and delete the synonym
e Go back to search result list and try to open the synonym

e => Exception

Instead we should show an error dialog saying that the taxon / synonym does not exist (anymore) and can not be opened.

java.lang.NullPointerException

login : admin

editor version : 4.2.0.201606070934

server : test.e-taxonomy.eu / edit-test

schema version : 4.0.0.0.201604200000

os : Windows Server 2012 6.2 amdé64

java : 1.7.0_65
at eu.etaxonomy.taxeditor.editor.TaxonEditorInput.getTaxon (TaxonEditorInput.java:356)
at eu.etaxonomy.taxeditor.editor.TaxonEditorInput.equals (TaxonEditorInput. java:341)
at org.eclipse.ui.internal.EditorManager.findEditors (EditorManager.java:526)
at org.eclipse.ui.internal.EditorManager.findEditors (EditorManager.java:455)
at org.eclipse.ui.internal.EditorManager.findEditor (EditorManager.java:420)

at org.eclipse.ui.internal.WorkbenchPage.busyOpenEditorBatched (WorkbenchPage. java:2887)

at org.eclipse.ui.internal.WorkbenchPage.busyOpenEditor (WorkbenchPage. java:2850)
at org.eclipse.ui.internal.WorkbenchPage.access$1ll (WorkbenchPage. java:2842)

at org.eclipse.ui.internal.WorkbenchPage$10.run (WorkbenchPage. java:2793)

at org.eclipse.swt.custom.BusyIndicator.showWhile (BusyIndicator. java:70)

at org.eclipse.ui.internal.WorkbenchPage.openEditor (WorkbenchPage.java:2789)

at org.eclipse.ui.internal.WorkbenchPage.openEditor (WorkbenchPage.java:2773)

at org.eclipse.ui.internal.WorkbenchPage.openEditor (WorkbenchPage.java:2756)

at eu.etaxonomy.taxeditor.editor.EditorUtil.open (EditorUtil. java:80)

at eu.etaxonomy.taxeditor.editor.EditorUtil.open (EditorUtil. java:100)

at eu.etaxonomy.taxeditor.editor.EditorUtil.openTaxonBase (EditorUtil. java:194)

at eu.etaxonomy.taxeditor.navigation.NavigationUtil.openEditor (NavigationUtil. java:103)

at eu.etaxonomy.taxeditor.navigation.NavigationUtil.openEditor (NavigationUtil. java:79)
at

Doing the same with an accepted taxon also resulted in an NPE but with different stacktrace. Needs to be handled in the same way

login : admin

editor version : 4.2.0.201606070934

server : test.e-taxonomy.eu / edit-test

schema version : 4.0.0.0.201604200000

os : Windows Server 2012 6.2 amd64

java : 1.7.0_65

java.lang.NullPointerException
at eu.etaxonomy.taxeditor.navigation.NavigationUtil.openEditor (NavigationUtil. java:91)
at eu.etaxonomy.taxeditor.navigation.NavigationUtil.openEditor (NavigationUtil. java:79)
at eu.etaxonomy.taxeditor.navigation.search.SearchResultView$l.doubleClick (SearchResultView. ja

va:125)
jface.viewers.StructuredViewer$l.run (StructuredViewer. java:845)
core.runtime.SafeRunner.run (SafeRunner. java:42)

ui.internal.JFaceUtil$1l.run (JFaceUtil.java:49)

jface.util.SafeRunnable.run (SafeRunnable. java:175)
jface.viewers.StructuredViewer.fireDoubleClick (StructuredViewer. java:843)
jface.viewers.StructuredViewer.handleDoubleSelect (StructuredViewer. java:1134)
jface.viewers.StructuredViewer$4.widgetDefaultSelected (StructuredViewer. java:12

| did not check for pure names, but maybe we get a similar problem there.

History

#1 - 09/02/2016 02:43 PM - Andreas Miiller

- Description updated

- Priority changed from New to Highest

#2 - 10/05/2016 11:41 AM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 4.4

- Estimated time set to 1:00 h

#3 - 11/01/2016 01:17 PM - Katja Luther

- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

This is already solved, the message is that the cdm entity could not be found in the database

#4 - 11/03/2016 04:47 PM - Andreas Miller

- Status changed from Resolved to Closed

- Assignee changed from Andreas Miiller to Katja Luther

#5 - 11/08/2016 02:29 PM - Andreas Miuller

- % Done changed from 0 to 100

#6 - 01/03/2017 03:00 PM - Andreas Miiller

- Private changed from Yes to No
